FILESEXTRAPATHS_prepend := "${THISDIR}/${PN}:"

SRC_URI += "file://dts/*"

SRC_URI += "file://patch/0001-make-sensor-controls-available-in-mx6s_capture.patch \
	    file://patch/0002-added-SRGGB8-format-support.patch \
	    file://patch/0003-rxhs-settle-and-send-level-value-is-now-optinal-conf.patch \
	    file://patch/0004-increase-max-video-memory-from-64-to-128MB.patch \
	    file://patch/0005-implement-cache-invalidation-for-MMAP.patch \
	    file://patch/0006-quick-fix-open-close-in-mx6s_capture.c.patch \
	    file://patch/0007-handle-subdev-unbind.patch \
	    file://patch/0008-media-csi-Add-support-for-RAW10.patch \
	    file://patch/0009-media-mxc-mipi_csi-Add-UYVY8_2X8.patch \
	    file://patch/0010-media-mxc-capture-Enable-two_8bit_sensor_mode-based-.patch \
	    file://patch/0011-media-mxc-Enable-dual-pixel-mode-for-YUV422.patch \
	    file://patch/0012-arm64-dts-imx8mm-Add-DTS-for-Basler-camera.patch \
	    file://patch/0013-arm64-dts-imx8mm-ddr4-Add-DTS-for-Basler-camera.patch \
	    file://patch/0014-arm64-dts-imx8mq-Add-DTS-for-Basler-camera.patch \
	    file://patch/0015-arm64-dts-imx8mm-Add-DT-variants-using-one-CSI-lane.patch \
	    file://patch/0016-mxc-capture-Add-debug-event-interrupt-counters.patch \
	    file://patch/0017-arm64-dts-imx8mm-Increase-I2C-frequency-for-CSI-bus-.patch \
	    file://patch/0018-arm64-dts-imx8mm-1lane-Increase-I2C-frequency-for-CS.patch \
	    file://patch/0019-mxc-Fix-masking-of-CSI-input.patch \
"

# Custom task to prepare basler device trees
do_prepare_basler_dts() {
	cp ${WORKDIR}/dts/* ${STAGING_KERNEL_DIR}/arch/arm64/boot/dts/freescale
}
addtask prepare_basler_dts after do_unpack before do_patch

pkg_postinst_kernel-devicetree_append_imx8mm-var-dart () {
	cd $D/boot
	mv fsl-imx8mm-var-dart.dtb fsl-imx8mm-var-dart-ov5640-camera.dtb
	ln -fs fsl-imx8mm-var-dart-basler-camera.dtb fsl-imx8mm-var-dart.dtb
	mv fsl-imx8mm-var-som.dtb fsl-imx8mm-var-som-ov5640-camera.dtb
	ln -fs fsl-imx8mm-var-som-basler-camera.dtb fsl-imx8mm-var-som.dtb
	mv fsl-imx8mm-var-som-rev10.dtb fsl-imx8mm-var-som-ov5640-camera-rev10.dtb
	ln -fs fsl-imx8mm-var-som-basler-camera-rev10.dtb fsl-imx8mm-var-som-rev10.dtb
}

pkg_postinst_kernel-devicetree_append_imx8mq-var-dart () {
	cd $D/boot
	ln -fs ${DEFAULT_DTB_PREFIX}-${DEFAULT_DTB}-basler-camera.dtb ${DEFAULT_DTB_PREFIX}.dtb
}

KERNEL_DEVICETREE_append_imx8mq-var-dart = " \
	freescale/fsl-imx8mq-var-dart-sd-dp-basler-camera.dtb \
	freescale/fsl-imx8mq-var-dart-sd-hdmi-basler-camera.dtb \
	freescale/fsl-imx8mq-var-dart-sd-lvds-basler-camera.dtb \
	freescale/fsl-imx8mq-var-dart-sd-lvds-dp-basler-camera.dtb \
	freescale/fsl-imx8mq-var-dart-sd-lvds-hdmi-basler-camera.dtb \
	freescale/fsl-imx8mq-var-dart-wifi-dp-basler-camera.dtb \
	freescale/fsl-imx8mq-var-dart-wifi-hdmi-basler-camera.dtb \
	freescale/fsl-imx8mq-var-dart-wifi-lvds-basler-camera.dtb \
	freescale/fsl-imx8mq-var-dart-wifi-lvds-dp-basler-camera.dtb \
	freescale/fsl-imx8mq-var-dart-wifi-lvds-hdmi-basler-camera.dtb \
"

KERNEL_DEVICETREE_append_imx8mm-var-dart = " \
	freescale/fsl-imx8mm-var-dart-basler-camera.dtb \
	freescale/fsl-imx8mm-var-som-basler-camera.dtb \
	freescale/fsl-imx8mm-var-som-basler-camera-rev10.dtb \
"
